Difference between revisions of "TechDraw Quadrants"

From FreeCAD Documentation
Jump to navigation Jump to search
Line 2: Line 2:
 
<translate>
 
<translate>
 
<!--T:16-->
 
<!--T:16-->
{{Docnav|[[TechDraw_Quadrant|Quadrant]]|[[TechDraw_Hatching|Hatching]]|[[TechDraw_Module|TechDraw]]|IconL=Techdraw-midpoint.svg|IconC=Workbench_TechDraw.svg|IconR=Techdraw-hatch.svg}}
+
{{Docnav|[[TechDraw_Midpoint|Midpoint]]|[[TechDraw_Hatching|Hatching]]|[[TechDraw_Module|TechDraw]]|IconL=Techdraw-midpoint.svg|IconC=Workbench_TechDraw.svg|IconR=Techdraw-hatch.svg}}
  
 
<!--T:1-->
 
<!--T:1-->
Line 28: Line 28:
 
<!--T:10-->
 
<!--T:10-->
 
# Select one or more (circular) Edges in a View.  
 
# Select one or more (circular) Edges in a View.  
# Press the {{Button|[[Image:techdraw-quadrant.svg|16px]] [[TechDraw Quadrant|Quadrant]]}} button
+
# Press the {{Button|[[Image:Techdraw-quadrant.svg|16px]] [[TechDraw Quadrant|Quadrant]]}} button
 
# Cosmetic Vertices will be added at the quarter-point(s) of the Edge(s).
 
# Cosmetic Vertices will be added at the quarter-point(s) of the Edge(s).
  
Line 59: Line 59:
  
 
<!--T:17-->
 
<!--T:17-->
{{Docnav|[[TechDraw_Quadrant|Cosmetic Vertex]]|[[TechDraw_Quadrant|Quadrant]]|[[TechDraw_Module|TechDraw]]|IconL=Techdraw-point.svg|IconC=Workbench_TechDraw.svg|IconR=Techdraw-quadrant.svg}}
+
{{Docnav|[[TechDraw_Midpoint|Midpoint]]|[[TechDraw_Hatching|Hatching]]|[[TechDraw_Module|TechDraw]]|IconL=Techdraw-midpoint.svg|IconC=Workbench_TechDraw.svg|IconR=Techdraw-hatch.svg}}
  
 
<!--T:14-->
 
<!--T:14-->

Revision as of 12:26, 21 May 2019

Other languages:
Deutsch • ‎English • ‎français • ‎italiano
Arrow-left.svg Previous: Techdraw-midpoint.svg Midpoint
Next: Hatching Techdraw-hatch.svg Arrow-right.svg

32px TechDraw Quadrant

Menu location
TechDraw → Quadrant
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw CosmeticVertex, TechDraw Midpoints


Description

The Quadrant tool adds Cosmetic Vertices at the 90/180/270 degree points of a circular Edge (the 0 degree vertex should already be there as a geometric vertex).

TechDraw CosmeticQuadrant Sample.png

Cosmetic Vertices at quadrant points of a circle


How to use

  1. Select one or more (circular) Edges in a View.
  2. Press the Techdraw-quadrant.svg Quadrant button
  3. Cosmetic Vertices will be added at the quarter-point(s) of the Edge(s).


Properties

Cosmetic Vertices have no properties of their own, as they are not Document Objects. They share color and size settings with regular geometry vertices.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

Cosmetic Vertices are not accessible from macros or the Python console at this time. This snippet will remove all Cosmetic Vertices from the View.

>>> v = App.ActiveDocument.View
>>> v.clearCV()
>>> App.activeDocument().recompute()


Notes

  • This feature was added in v0.19
  • This tool can actually be used on any Edge, not just circles.
Arrow-left.svg Previous: Techdraw-midpoint.svg Midpoint
Next: Hatching Techdraw-hatch.svg Arrow-right.svg